package com.example.switchkeyboardemulation;

import com.cipherlab.barcode.GeneralString;
import com.cipherlab.barcode.ReaderManager;
import com.cipherlab.barcode.decoder.BcReaderType;
import com.cipherlab.barcode.decoder.Enable_State;
import com.cipherlab.barcode.decoder.KeyboardEmulationType;
import com.cipherlab.barcode.decoderparams.NotificationParams;
import com.cipherlab.barcode.decoderparams.ReaderOutputConfiguration;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.ToggleButton;

public class MainActivity extends Activity {

	// IntentFilter is used to get the intent we need. 
	private IntentFilter filter;
	
	// A very important class used to communicate with base or service. 
	private ReaderManager mReaderManager;
		
	ToggleButton tb1=null;
	
	boolean isEnable = false;
	
	/*TextView tv1 = null;
	
	EditText e1=null;*/
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		tb1 = (ToggleButton)findViewById(R.id.toggleButton1);
		tb1.setOnCheckedChangeListener(new OnCheckedChangeListener() {
			
			@Override
			public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
				if (buttonView.getId() == R.id.toggleButton1) {
					ReaderOutputConfiguration settings = new ReaderOutputConfiguration();
					isEnable = isChecked;
					if (isEnable == true) {
						settings.enableKeyboardEmulation = KeyboardEmulationType.InputMethod;
					} else {
						settings.enableKeyboardEmulation = KeyboardEmulationType.None;
					}
					mReaderManager.Set_ReaderOutputConfiguration(settings);
					tb1.setChecked(isEnable);
				}
			}
		});
		
		
/*		tv1 = (TextView)findViewById(R.id.textView4);
		e1= (EditText)findViewById(R.id.editText1);*/
		
		mReaderManager = ReaderManager.InitInstance(this);
		
		// ***************************************************//
		filter = new IntentFilter();
		filter.addAction(GeneralString.Intent_READERSERVICE_CONNECTED);
		registerReceiver(myDataReceiver, filter);
	}


	

	@Override
	protected void onDestroy() {
		super.onDestroy();
		unregisterReceiver(myDataReceiver);
		mReaderManager.Release();
	}




	// / Create a broadcast object to receive the intent coming from service.
	private final BroadcastReceiver myDataReceiver = new BroadcastReceiver() {
		@Override
		public void onReceive(Context context, Intent intent) {
			if (intent.getAction().equals( GeneralString.Intent_READERSERVICE_CONNECTED)) {

				ReaderOutputConfiguration settings = new ReaderOutputConfiguration();
				mReaderManager.Get_ReaderOutputConfiguration(settings);
//				isEnable = (settings.enableKeyboardEmulation == Enable_State.TRUE? true:false);
				tb1.setChecked(isEnable);
				
				Toast.makeText(MainActivity.this, mReaderManager.GetReaderType().toString(),Toast.LENGTH_SHORT).show();
			}

		}
	};
}
