package com.example.catchyourhealth;

import java.io.UnsupportedEncodingException;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;

public class MainActivity extends Activity {

	private TextView tv1 = null;
	private IntentFilter filter;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		tv1 = (TextView)findViewById(R.id.tv1);
		
		/// Register for an intent filter to get the intent we need. 
		filter = new IntentFilter();
		filter.addAction("com.cipherlab.barcodebaseapi.PASS_DATA_2_APP");
		registerReceiver(myDataReceiver, filter);
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		unregisterReceiver(myDataReceiver);
	}

	// / Create a broadcast object used to receive the intent coming from service.
	private final BroadcastReceiver myDataReceiver = new BroadcastReceiver() {
		@Override
		public void onReceive(Context context, Intent intent) {
			// If intent of the Intent_SOFTTRIGGER_DATA string is received
			if (intent.getAction().equals("com.cipherlab.barcodebaseapi.PASS_DATA_2_APP")) {

				tv1.setText("");

				// fetch the data within the intent 
				byte[] data = intent.getByteArrayExtra("Decoder_DataArray");
				String strBar = null;
				try {
					strBar = new String(data, "Shift_JIS");
				} catch (UnsupportedEncodingException e) {
					e.printStackTrace();
				}

				// display the fetched data 
				tv1.setText(strBar);			

			}

		}
	};
	
}
